# Copyright (c) 2007 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			vamp-mazurka-plugins
Summary:		Mazurka Project Plugins for Sonic Visualiser
Group:			Productivity/Multimedia/Sound/Utilities
Url:			http://sv.mazurka.org.uk/
Version:		20070508
Release:		3.63
License: GPL-2.0
# this is a tar-ball from
# http://sv.mazurka.org.uk/src/*.cpp
# http://sv.mazurka.org.uk/include/*.h
Source:			%{name}.tar.bz2
Source1:		%{name}-Makefile
Patch0:			vamp-mazurka-plugins-gcc43.patch
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	vamp-plugin-sdk-devel
Requires:		sonic-visualiser
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build

%description
A set of Vamp plugins for audio feature extraction.

* Attack
Identify note attacks in the audio data

* MzChronogram
Time-domain analogy to spectrograms

* MzHarmonicSpectrum
Displays the Harmonic Product Spectrum from which pitch estimates
of monophonic harmonic input audio can be made.

* MzNevermore
Independent control of window size and transform size for spectrogram
display

* MzPowerCurve
Measures the power over time of an audio signal

* MzSpectralFlux
Estimates note onsets from changes in spectral magnitude

* MzSpectrogramClient
Demonstration of how to create spectral data from time data supplied
by a host application

* MzSpectrogramFFTW:
Demonstration of how to create spectral data using FFTW from time data
supplied by a host application

* MzSpectrogramHost
Demonstration of how to process spectral data from host applications

For documentation see http://sv.mazurka.org.uk/



%prep
%setup -q -n %{name}
%patch0 -p1
%__install -m 644 %{SOURCE1} Makefile

%build
cd plugins
perl ../makepluginscpp > ../plugins.cpp
cd ..

%__make

%install
%__install -dm 755 %{buildroot}%{_libdir}/vamp
%__install -m 644 vamp-mazurka.so \
	%{buildroot}%{_libdir}/vamp
#%__install -m 644 vamp-mazurka.cat \
#	%{buildroot}%{_libdir}/vamp

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%dir %{_libdir}/vamp
%{_libdir}/vamp/vamp-mazurka.so
#%{_libdir}/vamp/vamp-mazurka.cat

%changelog
* Sun May 13 2007 toni@links2linux.de
- update to 20070508
